Subject: [Detnet] Barry Leiba's No Objection on draft-ietf-detnet-ip-over-mpls-07: (with COMMENT)

From: Barry Leiba via Datatracker <[email-masked]>
Date: Thu, 03 Sep 2020 21:04:13 -0700

Barry Leiba has entered the following ballot position for
draft-ietf-detnet-ip-over-mpls-07: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-ip-over-mpls/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Just one small comment:

   This document uses the terminology and concepts established in the
   DetNet architecture [RFC8655] and
   [I-D.ietf-detnet-data-plane-framework], the reader is assumed to be
   familiar with these documents and their terminology.

I think this makes both of these normative, but the data-plane-framework draft
is listed as informative.

---

From: Balázs Varga A <[email-masked]>
Date: Fri, 4 Sep 2020 14:37:49 +0000

Hi Barry,

Thanks for the review and the comment. Regarding:
- data-plane-framework draft is listed as informative
The data-plane-framework has an "Intended status: Informational".
That is the reason to have it as an informative reference.

I hope that clarifies your comment.

Thanks & Cheers
Bala'zs

-----Original Message-----
From: Barry Leiba via Datatracker <[email-masked]> 
Sent: Friday, September 4, 2020 6:04 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Ethan Grossman <[email-masked]>; [email-masked]
Subject: Barry Leiba's No Objection on draft-ietf-detnet-ip-over-mpls-07: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Just one small comment:

I think this makes both of these normative, but the data-plane-framework draft is listed as informative.

---

From: Benjamin Kaduk <[email-masked]>
Date: Sat, 5 Sep 2020 20:28:42 -0700

Hi Balázs,

Per
https://www.ietf.org/about/groups/iesg/statements/normative-informative-references/
the informational/standards-track status of the reference is not an input
into whether it is categorized as normative or informative.

-Ben

---

From: Stewart Bryant <[email-masked]>
Date: Sun, 6 Sep 2020 10:08:08 +0100

Correct

However an ST that makes a normative ref to an INFO needs to call up any downref that is not in the downref registry and needs to note the downref in the abstract and in the IETF LC notice.  IETF LC thus would need to restart on this draft if we insist that it needs to be normative.

I am not entirely sure it matters that the arch is an info ref since most readers never take any notice of the reference status. The key question is whether an interoperability or mis-implementation issues will arise as a result of the reference status, and I cannot see how such problems can arise.

However if the IESG insist, I am sure that LC can be restarted and the arch text added to the downref list to avoid this problem in future.

- Stewart

> On 6 Sep 2020, at 04:28, Benjamin Kaduk <[email-masked]> wrote:
> 
> Hi Balázs,
> 
> Per

---

From: Barry Leiba <[email-masked]>
Date: Sun, 6 Sep 2020 15:39:56 -0400

> However an ST that makes a normative ref to an INFO needs to call up any downref that is not in the
> downref registry and needs to note the downref in the abstract and in the IETF LC notice.  IETF LC
> thus would need to restart on this draft if we insist that it needs to be normative.

But RFC 8067 updates BCP 97 now gives us flexibility to do the right thing:

   The process in RFC 3967 is hereby updated to specify that explicitly
   documenting the downward references in the Last Call message is
   strongly recommended but not required.  The responsible AD should
   still check for downrefs before sending out the Last Call notice, but
   if an undetected downref is noticed during Last Call or IESG review,
   any need to repeat the Last Call is at the discretion of the IESG.

You're welcome.

> I am not entirely sure it matters that the arch is an info ref since most readers never take
> any notice of the reference status.

Quite possibly so; and, yet, we have made a distinction, and we should
either eliminate the distinction or honour it.

Barry